%define name	egoboo
%define version	2.22
%define	rel	9
%define release %mkrel %{rel}
%define Summary 3D dungeon crawling game

Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}_%{version}.orig.tar.gz
Patch0:		egoboo_2.22-28.diff
License:	GPL
Group:		Games/Adventure
URL:		http://egoboo.sourceforge.net/
Summary:	%{Summary}
BuildRequires:	SDL-devel mesaglu-devel dos2unix desktop-file-utils ImageMagick
Requires:	egoboo-data >= 2.220
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Egoboo is an open source project, using OpenGL and SDL(Simple
DirectMedia Layer) libraries. It is a 3d dungeon role playing
game in the spirit of NetHack. Nice colorful graphics, and
detailed models(using Quake2 modeling tools) make this game
stand out in the gaming open-source community.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .debian
dos2unix egoboo.txt change.log

%build
%make DESTDIR=%{_prefix} BIN_PATH=%{_gamesbindir} SHARE_PATH=%{_gamesdatadir} FLAGS="-D_LINUX $RPM_OPT_FLAGS" LIBDIR="-L%{_libdir}"

%install
rm -rf %{buildroot}
install -d %{buildroot}{%{_gamesbindir},%{_sysconfdir}/egoboo}
%{makeinstall_std}

install -m644 debian/egoboo.desktop -D %{buildroot}%{_datadir}/applications/egoboo.desktop
desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -d %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir}}
convert -resize 16x16 debian/egoboo.xpm %{buildroot}%{_miconsdir}/%{name}.png
convert -resize 32x32 debian/egoboo.xpm %{buildroot}%{_iconsdir}/%{name}.png
convert -resize 48x48 debian/egoboo.xpm %{buildroot}%{_liconsdir}/%{name}.png

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{name}.txt change.log
%{_gamesbindir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_datadir}/applications/egoboo.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png



%changelog
* Sun Sep 16 2007 Emmanuel Andry <eandry@mandriva.org> 2.22-9mdv2008.0
+ Revision: 88695
- drop old menu
- uncompress patch
- Import egoboo



* Tue Sep 12 2006 Emmanuel Andry <eandry@mandriva.org> 2.22-8mdv2007.0
- add buildrequires ImageMagick

* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.org> 2.22-7mdv2007.0
- buildrequires desktop-file-utils

* Mon Aug 28 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.22-6mdv2007.0
- sync source, patches, etc. with debian as upstream seems dead
- split package
- xdg menu
- fix file encoding with 'dos2unix'
- cleanups

* Fri May 06 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.22-5mdk
- lib64 fix
- %%mkrel
- fix summary-ended-with-dot

* Fri Aug 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.22-4mdk
- rebuild
- fix summary macro to avoid possible conflicts if we were to build debug package
- fix buildrequires (lib64..)
- don't bzip2 icons in src.rpm

* Sun Jul 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-3mdk
- don't use soundwrapper (David Walser)

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-2mdk
- Added libMesaGLU-devel to BuildRequires

* Thu Nov 19 2002 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.22-1mdk
- First mdk-release
